summaryrefslogtreecommitdiff
path: root/tests/xfs/259
diff options
context:
space:
mode:
Diffstat (limited to 'tests/xfs/259')
-rwxr-xr-xtests/xfs/25965
1 files changed, 65 insertions, 0 deletions
diff --git a/tests/xfs/259 b/tests/xfs/259
new file mode 100755
index 00000000..91503a0c
--- /dev/null
+++ b/tests/xfs/259
@@ -0,0 +1,65 @@
+#! /bin/bash
+# FS QA Test No. 259
+#
+# Test fs creation on 4 TB minus few bytes partition
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2011 Red Hat. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+status=1 # failure is the default!
+
+_cleanup()
+{
+ rm -f "$testfile"
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+
+_require_math
+
+testfile=$TEST_DIR/259.image
+
+# Test various sizes slightly less than 4 TB
+four_TB=$(_math "2^42")
+for del in 1 512 1024 1025 2048 4096; do
+ ddseek=$(_math "$four_TB - $del")
+ echo "Trying to make (4 TB - $del) B long xfs fs image"
+ rm -f "$testfile"
+ dd if=/dev/zero "of=$testfile" bs=1 count=0 seek=$ddseek \
+ >/dev/null 2>&1 || echo "dd failed"
+ lofile=$(losetup -f)
+ losetup $lofile "$testfile"
+ "$MKFS_XFS_PROG" -b size=512 $lofile >/dev/null || echo "mkfs failed!"
+ sync
+ losetup -d $lofile
+done
+
+status=0
+
+exit